
import 'package:_private_core_network/network_resources/resources.dart';

import 'app_api.dart';
import 'model/chat_message_detault.dart';

class ChatRepo {
  ChatRepo._();

  static ChatRepo? _instance;

  factory ChatRepo([MyAppApi? api]) {
    _instance ??= ChatRepo._();
    _instance!._api = api ?? MyAppApiImp();
    return _instance!;
  }

  late MyAppApi _api;

  Future<ChatMessageDefault?> getDefaultMessagesForChat(params) async {
    NetworkResponse response = await _api.getDefaultMessagesForChat(params);
    return response.data;
  }

  Future<bool> setDefaultMessageForChat(params) async {
    NetworkResponse response = await _api.setDefaultMessageForChat(params);
    return response.data ?? false;
  }

  Future<bool> createFirstMessage(params) async {
    NetworkResponse response = await _api.createFirstMessage(params);
    return response.data ?? false;
  }
}
