class CurrencyAvailable {
  String? symbol;
  String? thousandSeparator;
  String? decimalSeparator;
  num? decimalPlaces;
  num? symbolPosition;
  String? symbolForBillion;
  String? symbolForMillion;
  String? symbolForThousands;
  num? subUnit;
  String? currencyName;
  String? currencyCode;
  double? exchange;

  bool get isSymbolLeft => symbolPosition == 1;
  bool get isSymbolRight => symbolPosition == 2;

  CurrencyAvailable({
    this.symbol,
    this.thousandSeparator,
    this.decimalSeparator,
    this.decimalPlaces,
    this.symbolPosition,
    this.symbolForBillion,
    this.symbolForMillion,
    this.symbolForThousands,
    this.subUnit,
    this.currencyName,
    this.currencyCode,
    this.exchange,
  });

  CurrencyAvailable.fromJson(Map<String, dynamic> json) {
    symbol = json["symbol"];
    thousandSeparator = json["thousandSeparator"];
    decimalSeparator = json["decimalSeparator"];
    decimalPlaces = json["decimalPlaces"];
    symbolPosition = json["symbolPosition"];
    symbolForBillion = json["symbolForBillion"];
    symbolForMillion = json["symbolForMillion"];
    symbolForThousands = json["symbolForThousands"];
    subUnit = json["subUnit"];
    currencyName = json["currencyName"];
    currencyCode = json["currencyCode"];
    exchange = json["exchange"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["symbol"] = symbol;
    data["thousandSeparator"] = thousandSeparator;
    data["decimalSeparator"] = decimalSeparator;
    data["decimalPlaces"] = decimalPlaces;
    data["symbolPosition"] = symbolPosition;
    data["symbolForBillion"] = symbolForBillion;
    data["symbolForMillion"] = symbolForMillion;
    data["symbolForThousands"] = symbolForThousands;
    data["subUnit"] = subUnit;
    data["currencyName"] = currencyName;
    data["currencyCode"] = currencyCode;
    data["exchange"] = exchange;
    return data;
  }
}
