import 'package:_private_core_network/network_resources/resources.dart';
import 'app_api.dart';
import 'models/legal_menu.dart';
import 'models/legal_platform.dart';

class LegalRepo {
  LegalRepo._();

  static LegalRepo? _instance;

  factory LegalRepo([MyAppApi? api]) {
    _instance ??= LegalRepo._();
    _instance!._api = api ?? MyAppApiImp();
    return _instance!;
  }

  late MyAppApi _api;

  Future<bool> acceptTerms(params) async {
    NetworkResponse response = await _api.acceptTerms(params);
    return response.data ?? false;
  }

  Future<LegalInfo?> getLegalContent(params) async {
    NetworkResponse response = await _api.getLegalContent(params);
    return response.data;
  }

  Future<List<LegalPlatform>> getListOfLegalPlatformFromAdmin(params) async {
    NetworkResponse response =
        await _api.getListOfLegalPlatformFromAdmin(params);
    return response.data ?? [];
  }

  Future<List<LegalInfo>> getLegalFromAdmin(params) async {
    NetworkResponse response = await _api.getLegalFromAdmin(params);
    return response.data ?? [];
  }

  Future<LegalInfo?> createLegal(params) async {
    NetworkResponse response = await _api.createLegal(params);
    return response.data;
  }

  Future<bool> updateLegal(params) async {
    NetworkResponse response = await _api.updateLegal(params);
    return response.data ?? false;
  }

  Future<bool> deleteLegalFromAdmin(params) async {
    NetworkResponse response = await _api.deleteLegalFromAdmin(params);
    return response.data ?? false;
  }

  Future<List<LegalMenu>> getLegalMenusFromPlatformId([params]) async {
    NetworkResponse response = await _api.getLegalMenusFromPlatformId(params);
    return response.data ?? [];
  }
}
