class LegalMenu {
  int? id;
  String? uuid;
  int? order;
  String? label;
  dynamic usernameId;
  List<LegalMenuSub>? legals;

  LegalMenu({
    this.id,
    this.uuid,
    this.order,
    this.label,
    this.usernameId,
    this.legals,
  });

  LegalMenu.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    uuid = json["uuid"];
    order = json["order"];
    label = json["label"];
    usernameId = json["usernameId"];
    legals = json["legals"] == null
        ? null
        : (json["legals"] as List)
            .map((e) => LegalMenuSub.fromJson(e))
            .toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["uuid"] = uuid;
    data["order"] = order;
    data["label"] = label;
    data["usernameId"] = usernameId;
    if (legals != null) {
      data["legals"] = legals?.map((e) => e.toJson()).toList();
    }
    return data;
  }
}

class LegalMenuSub {
  int? id;
  String? legalUuid;
  String? pageLabel;
  dynamic pageUniqueCode;
  dynamic pageUrl;

  LegalMenuSub(
      {this.id, this.legalUuid, this.pageLabel, this.pageUniqueCode, this.pageUrl});

  LegalMenuSub.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    legalUuid = json["legalUuid"];
    pageLabel = json["pageLabel"];
    pageUniqueCode = json["pageUniqueCode"];
    pageUrl = json["pageUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["legalUuid"] = legalUuid;
    data["pageLabel"] = pageLabel;
    data["pageUniqueCode"] = pageUniqueCode;
    data["pageUrl"] = pageUrl;
    return data;
  }
}
