class LoginSession {
  String? id;
  String? ip;
  String? app;
  String? os;
  String? device;
  int? loginAttemptAt;
  int? loginSuccessAt;
  int? allowPrivacyType;
  int? platformId;
  String? platformLabel;
  int? logoutAt;
  int? revokedAt;
  int? logoUrl;

  LoginSession(
      {this.id,
      this.ip,
      this.app,
      this.os,
      this.device,
      this.loginAttemptAt,
      this.loginSuccessAt,
      this.allowPrivacyType,
      this.platformId,
      this.platformLabel,
      this.logoutAt,
      this.revokedAt,
      this.logoUrl});

  LoginSession.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) id = json["id"];
    if (json["ip"] is String) ip = json["ip"];
    if (json["app"] is String) app = json["app"];
    if (json["os"] is String) os = json["os"];
    if (json["device"] is String) device = json["device"];
    if (json["loginAttemptAt"] is int) {
      loginAttemptAt = json["loginAttemptAt"];
    }
    if (json["loginSuccessAt"] is int) {
      loginSuccessAt = json["loginSuccessAt"];
    }
    if (json["allowPrivacyType"] is int) {
      allowPrivacyType = json["allowPrivacyType"];
    }
    if (json["platformId"] is int) platformId = json["platformId"];
    if (json["platformLabel"] is String) {
      platformLabel = json["platformLabel"];
    }
    if (json["logoutAt"] is int) logoutAt = json["logoutAt"];
    if (json["revokedAt"] is int) revokedAt = json["revokedAt"];
    if (json["logoUrl"] is int) logoUrl = json["logoUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["ip"] = ip;
    data["app"] = app;
    data["os"] = os;
    data["device"] = device;
    data["loginAttemptAt"] = loginAttemptAt;
    data["loginSuccessAt"] = loginSuccessAt;
    data["allowPrivacyType"] = allowPrivacyType;
    data["platformId"] = platformId;
    data["platformLabel"] = platformLabel;
    data["logoutAt"] = logoutAt;
    data["revokedAt"] = revokedAt;
    data["logoUrl"] = logoUrl;
    return data;
  }
}
