class PaymentMethod {
  int? id;
  String? label;
  dynamic pictureUrl;

  PaymentMethod({this.id, this.label, this.pictureUrl});

  PaymentMethod.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
    pictureUrl = json["pictureUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["label"] = label;
    data["pictureUrl"] = pictureUrl;
    return data;
  }

  PaymentMethod copyWith({
    int? id,
    String? label,
    dynamic pictureUrl,
  }) =>
      PaymentMethod(
        id: id ?? this.id,
        label: label ?? this.label,
        pictureUrl: pictureUrl ?? this.pictureUrl,
      );
}


class PaymentStatus {
  int? id;
  String? label;

  PaymentStatus({this.id, this.label});

  PaymentStatus.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["label"] = label;
    return data;
  }

  PaymentStatus copyWith({
    int? id,
    String? label,
  }) =>
      PaymentStatus(
        id: id ?? this.id,
        label: label ?? this.label,
      );
}
