class ProductModel {
  int? terminalId;

  int? id;
  String? label;
  String? description;
  String? productSerial;
  int? purchasedAt;
  int? warrantyUntil;
  String? productCat;
  String? categoryColor;
  String? productRef;
  String? codeReference;
  String? pictureUrl;
  int? statusId;
  String? statusLabel;
  String? statusColor;
  int? statusDisplay;
  double? lat;
  double? lng;
  int? placeId;
  String? placeCity;
  String? placeLabel;
  double? placeLng;
  double? placeLat;
  String? placeCountry;
  String? placeCountryCode;
  String? placeZip;
  String? placeStreet1;
  String? placeStreet2;
  String? utcModifier;
  String? macAddress;
  String? moreInfos;
  int? hasOwner;

  ProductModel(
      {this.terminalId,
      this.id,
      this.label,
      this.description,
      this.productSerial,
      this.purchasedAt,
      this.warrantyUntil,
      this.productCat,
      this.categoryColor,
      this.productRef,
      this.codeReference,
      this.pictureUrl,
      this.statusId,
      this.statusLabel,
      this.statusColor,
      this.statusDisplay,
      this.lat,
      this.lng,
      this.placeId,
      this.placeCity,
      this.placeLabel,
      this.placeLng,
      this.placeLat,
      this.placeCountry,
      this.placeCountryCode,
      this.placeZip,
      this.placeStreet1,
      this.placeStreet2,
      this.utcModifier,
      this.macAddress,
      this.moreInfos,
      this.hasOwner});

  ProductModel.fromJson(Map<String, dynamic> json) {
    if (json["terminalId"] is int) terminalId = json["terminalId"];
    if (json["id"] is int) id = json["id"];
    if (json["label"] is String) label = json["label"];
    if (json["description"] is String) description = json["description"];
    if (json["productSerial"] is String) {
      productSerial = json["productSerial"];
    }
    if (json["purchasedAt"] is int) purchasedAt = json["purchasedAt"];
    if (json["warrantyUntil"] is int) {
      warrantyUntil = json["warrantyUntil"];
    }
    if (json["productCat"] is String) productCat = json["productCat"];
    if (json["categoryColor"] is String) {
      categoryColor = json["categoryColor"];
    }
    if (json["productRef"] is String) productRef = json["productRef"];
    if (json["codeReference"] is String) {
      codeReference = json["codeReference"];
    }
    if (json["pictureUrl"] is String) pictureUrl = json["pictureUrl"];
    if (json["statusId"] is int) statusId = json["statusId"];
    if (json["statusLabel"] is String) statusLabel = json["statusLabel"];
    if (json["statusColor"] is String) statusColor = json["statusColor"];
    if (json["statusDisplay"] is int) {
      statusDisplay = json["statusDisplay"];
    }
    if (json["lat"] is double) lat = json["lat"];
    if (json["lng"] is double) lng = json["lng"];
    if (json["placeId"] is int) placeId = json["placeId"];
    if (json["placeCity"] is String) placeCity = json["placeCity"];
    if (json["placeLabel"] is String) placeLabel = json["placeLabel"];
    if (json["placeLng"] is double) placeLng = json["placeLng"];
    if (json["placeLat"] is double) placeLat = json["placeLat"];
    if (json["placeCountry"] is String) {
      placeCountry = json["placeCountry"];
    }
    if (json["placeCountryCode"] is String) {
      placeCountryCode = json["placeCountryCode"];
    }
    if (json["placeZip"] is String) placeZip = json["placeZip"];
    if (json["placeStreet1"] is String) {
      placeStreet1 = json["placeStreet1"];
    }
    if (json["placeStreet2"] is String) {
      placeStreet2 = json["placeStreet2"];
    }
    if (json["utcModifier"] is String) utcModifier = json["utcModifier"];
    if (json["macAddress"] is String) macAddress = json["macAddress"];
    if (json["moreInfos"] is String) moreInfos = json["moreInfos"];
    if (json["hasOwner"] is int) hasOwner = json["hasOwner"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["terminalId"] = terminalId;
    data["id"] = id;
    data["label"] = label;
    data["description"] = description;
    data["productSerial"] = productSerial;
    data["purchasedAt"] = purchasedAt;
    data["warrantyUntil"] = warrantyUntil;
    data["productCat"] = productCat;
    data["categoryColor"] = categoryColor;
    data["productRef"] = productRef;
    data["codeReference"] = codeReference;
    data["pictureUrl"] = pictureUrl;
    data["statusId"] = statusId;
    data["statusLabel"] = statusLabel;
    data["statusColor"] = statusColor;
    data["statusDisplay"] = statusDisplay;
    data["lat"] = lat;
    data["lng"] = lng;
    data["placeId"] = placeId;
    data["placeCity"] = placeCity;
    data["placeLabel"] = placeLabel;
    data["placeLng"] = placeLng;
    data["placeLat"] = placeLat;
    data["placeCountry"] = placeCountry;
    data["placeCountryCode"] = placeCountryCode;
    data["placeZip"] = placeZip;
    data["placeStreet1"] = placeStreet1;
    data["placeStreet2"] = placeStreet2;
    data["utcModifier"] = utcModifier;
    data["macAddress"] = macAddress;
    data["moreInfos"] = moreInfos;
    data["hasOwner"] = hasOwner;
    return data;
  }
}
