import 'package:flutter/material.dart';
import 'package:_private_core/_private_core.dart';

class SellerMissionModel {
  ProInfoModel? proInfo;
  MissionInfo? missionInfo;
  int? isTaken;
  // as ExpandableNotifierState
  GlobalKey expandableKey = GlobalKey();

  SellerMissionModel({this.isTaken, this.proInfo, this.missionInfo});

  SellerMissionModel.fromJson(Map<String, dynamic> json) {
    if (json["isTaken"] is int) isTaken = json["isTaken"];
    if (json["proInfo"] is Map) {
      proInfo = json["proInfo"] == null
          ? null
          : ProInfoModel.fromJson(json["proInfo"]);
    }
    if (json["missionInfo"] is Map) {
      missionInfo = json["missionInfo"] == null
          ? null
          : MissionInfo.fromJson(json["missionInfo"]);
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (proInfo != null) data["proInfo"] = proInfo?.toJson();
    if (missionInfo != null) {
      data["missionInfo"] = missionInfo?.toJson();
    }
    data["isTaken"] = isTaken;
    return data;
  }
}

class MissionInfo {
  String? id;
  int? missionType;
  String? missionTypeName;
  int? sellerId;
  int? getAt;
  int? succeedAt;
  String? qrCode;
  int? elseGetIt;
  int? completed;
  String? instruction;
  String? colorCode;
  String? pictureUrl;
  int? timeForMission;

  Color? get color {
    if (colorCode != null) return hexColor(colorCode!);
    return null;
  }

  MissionInfo(
      {this.id,
      this.missionType,
      this.missionTypeName,
      this.sellerId,
      this.getAt,
      this.succeedAt,
      this.qrCode,
      this.elseGetIt,
      this.completed,
      this.instruction,
      this.pictureUrl,
      this.colorCode,
      this.timeForMission});

  MissionInfo.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) id = json["id"];
    if (json["missionType"] is int) missionType = json["missionType"];
    if (json["missionTypeName"] is String) {
      missionTypeName = json["missionTypeName"];
    }
    if (json["sellerId"] is int) sellerId = json["sellerId"];
    if (json["getAt"] is int) getAt = json["getAt"];
    if (json["succeedAt"] is int) succeedAt = json["succeedAt"];
    if (json["qrCode"] is String) qrCode = json["qrCode"];
    if (json["elseGetIt"] is int) elseGetIt = json["elseGetIt"];
    if (json["completed"] is int) completed = json["completed"];
    if (json["instruction"] is String) instruction = json["instruction"];
    if (json["pictureUrl"] is String) pictureUrl = json["pictureUrl"];
    // this.timeForMission = json['timeForMission'] ?? 0;
    timeForMission = 60 * 60 * 72;
    colorCode = json["colorCode"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["missionType"] = missionType;
    data["missionTypeName"] = missionTypeName;
    data["sellerId"] = sellerId;
    data["getAt"] = getAt;
    data["succeedAt"] = succeedAt;
    data["qrCode"] = qrCode;
    data["elseGetIt"] = elseGetIt;
    data["completed"] = completed;
    data["instruction"] = instruction;
    data["pictureUrl"] = pictureUrl;
    data["colorCode"] = colorCode;
    data["timeForMission"] = timeForMission;
    return data;
  }
}

class ProInfoModel {
  int? id;
  String? uniqueId;
  String? displayName;
  String? street1;
  String? city;
  int? mainSubcat;
  String? mainSubcatName;
  int? distance;
  String? loginQrCode;
  String? email;
  String? phone;

  ProInfoModel(
      {this.id,
      this.uniqueId,
      this.displayName,
      this.street1,
      this.city,
      this.mainSubcat,
      this.mainSubcatName,
      this.distance,
      this.email,
      this.phone,
      this.loginQrCode});

  ProInfoModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["uniqueId"] is String) uniqueId = json["uniqueId"];
    if (json["displayName"] is String) displayName = json["displayName"];
    if (json["street1"] is String) street1 = json["street1"];
    if (json["city"] is String) city = json["city"];
    if (json["mainSubcat"] is int) mainSubcat = json["mainSubcat"];
    if (json["mainSubcatName"] is String) {
      mainSubcatName = json["mainSubcatName"];
    }
    if (json["distance"] is int) distance = json["distance"];
    if (json["phone"] is int) phone = json["phone"];
    if (json["email"] is int) email = json["email"];
    if (json["loginQrCode"] is int) loginQrCode = json["loginQrCode"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["uniqueId"] = uniqueId;
    data["displayName"] = displayName;
    data["street1"] = street1;
    data["city"] = city;
    data["mainSubcat"] = mainSubcat;
    data["mainSubcatName"] = mainSubcatName;
    data["distance"] = distance;
    data["phone"] = phone;
    data["email"] = email;
    data["loginQrCode"] = loginQrCode;
    return data;
  }
}
