class ServicesAroundMeModel {
  dynamic proId;
  String? proDisplayName;
  String? proThumbnail;
  String? proUniqueId;
  dynamic rating;
  String? firebaseId;
  dynamic allowChat;
  dynamic serviceId;
  String? serviceLabel;
  String? serviceInfos;
  String? thumbnailService;
  dynamic serviceTypeId;
  String? serviceName;
  double? lat;
  double? lng;
  dynamic actualDistance;
  List<Subcat>? subcat;

  int marketClickCount = 0;

  ServicesAroundMeModel(
      {this.proId,
      this.proDisplayName,
      this.proThumbnail,
      this.proUniqueId,
      this.rating,
      this.firebaseId,
      this.allowChat,
      this.serviceId,
      this.serviceLabel,
      this.serviceInfos,
      this.thumbnailService,
      this.serviceTypeId,
      this.serviceName,
      this.lat,
      this.lng,
      this.actualDistance,
      this.subcat});

  ServicesAroundMeModel.fromJson(Map<String, dynamic> json) {
    proId = json['proId'];
    proDisplayName = json['proDisplayName'];
    proThumbnail = json['proThumbnail'];
    proUniqueId = json['proUniqueId'];
    rating = json['rating'];
    firebaseId = json['firebaseId'];
    allowChat = json['allowChat'];
    serviceId = json['serviceId'];
    serviceLabel = json['serviceLabel'];
    serviceInfos = json['serviceInfos'];
    thumbnailService = json['thumbnailService'];
    serviceTypeId = json['serviceTypeId'];
    serviceName = json['serviceName'];
    lat = json['lat'];
    lng = json['lng'];
    actualDistance = json['actualDistance'];
    if (json['subcat'] != null) {
      subcat = [];
      json['subcat'].forEach((v) {
        subcat!.add(Subcat.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['proId'] = proId;
    data['proDisplayName'] = proDisplayName;
    data['proThumbnail'] = proThumbnail;
    data['proUniqueId'] = proUniqueId;
    data['rating'] = rating;
    data['firebaseId'] = firebaseId;
    data['allowChat'] = allowChat;
    data['serviceId'] = serviceId;
    data['serviceLabel'] = serviceLabel;
    data['serviceInfos'] = serviceInfos;
    data['thumbnailService'] = thumbnailService;
    data['serviceTypeId'] = serviceTypeId;
    data['serviceName'] = serviceName;
    data['lat'] = lat;
    data['lng'] = lng;
    data['actualDistance'] = actualDistance;
    if (subcat != null) {
      data['subcat'] = subcat!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Subcat {
  String? subcatName;
  dynamic idSubcat;
  dynamic id;
  String? colorCode;
  String? pictureUrl;

  Subcat(
      {this.subcatName,
      this.idSubcat,
      this.id,
      this.colorCode,
      this.pictureUrl});

  Subcat.fromJson(Map<String, dynamic> json) {
    subcatName = json['subcatName'];
    idSubcat = json['idSubcat'];
    id = json['id'];
    colorCode = json['colorCode'];
    pictureUrl = json['pictureUrl'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['subcatName'] = subcatName;
    data['idSubcat'] = idSubcat;
    data['id'] = id;
    data['colorCode'] = colorCode;
    data['pictureUrl'] = pictureUrl;
    return data;
  }
}
