import 'package:_private_core/utils/utils.dart';

import '_model.dart';

class ServiceAvailabilityModel {
  int? day;
  int? availability;
  int? timestamp;
  DateTime? dateOfMonth;
  List<TimeFrames>? timeFrames;

  List<TimeFrames> get getTimeFramesAvailiable =>
      (timeFrames ?? []).where((e) => e.booking != 1).toList();

  ServiceAvailabilityModel(
      {this.day,
      this.availability,
      this.timestamp,
      this.timeFrames,
      this.dateOfMonth});

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['day'] = day;
    data['availability'] = availability;
    data['timestamp'] = timestamp;
    data['timeFrame'] = timeFrames?.map((v) => v.toJson()).toList();
    return data;
  }

  ServiceAvailabilityModel.fromJson(Map<String, dynamic> json) {
    day = json['day'] ?? 0;
    if (json['dateOfMonth'] != null) {
      dateOfMonth =
          convertString2DateTime(json['dateOfMonth'], format: 'yyyy-MM-dd');
    }
    availability = json['availability'] ?? 0;
    timestamp = json['timestamp'] ?? 0;
    if (json['timeFrame'] != null) {
      timeFrames = [];
      json['timeFrame'].forEach((v) {
        timeFrames!.add(TimeFrames.fromJson(v));
      });
    }
  }
}
