import '../resources.dart';

class PersonalEventRepo {
  PersonalEventRepo._();

  static PersonalEventRepo? _instance;

  factory PersonalEventRepo([AppApi? api]) {
    _instance ??= PersonalEventRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<String?> createSharedPcEvent(params) async {
    NetworkResponse response = await _api.createSharedPcEvent(params);
    return response.data;
  }

  Future<String?> setThumbnailForPcEvent(path, pcEventId) async {
    NetworkResponse response =
        await _api.setThumbnailForPcEvent(path, pcEventId);
    return response.data;
  }

  Future<PeEventModel?> shareCalendarToUsers(params) async {
    NetworkResponse response = await _api.shareCalendarToUsers(params);
    return response.data;
  }

  Future<PeEventModel?> getPcEventFromUser(pcEventId) async {
    NetworkResponse response = await _api.getPcEventFromUser(pcEventId);
    return response.data;
  }

  Future<PeEventModel?> getPcEventFromPro(pcEventId) async {
    NetworkResponse response = await _api.getPcEventFromPro(pcEventId);
    return response.data;
  }
}
