import '../resources.dart';

class ProZoneRepo {
  ProZoneRepo._();

  static ProZoneRepo? _instance;

  factory ProZoneRepo([AppApi? api]) {
    _instance ??= ProZoneRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<BankAccountModel?> getBankInfosFromSeller() async {
    NetworkResponse response = await _api.getBankInfosFromSeller();
    return response.data;
  }

  Future<bool> setLanguagesForPro(proLanguageCode) async {
    NetworkResponse response = await _api.setLanguagesForPro(proLanguageCode);
    return response.data ?? false;
  }

  Future<bool> setMainLanguageForPro(proLanguageCode) async {
    NetworkResponse response =
        await _api.setMainLanguageForPro(proLanguageCode);
    return response.data ?? false;
  }
}
