import '../resources.dart';

class QueueRepo {
  QueueRepo._();

  static QueueRepo? _instance;

  factory QueueRepo([AppApi? api]) {
    _instance ??= QueueRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future getServicesListFromTerminal() async {
    NetworkResponse state = await _api.getServicesListFromTerminal();
    return state.data ?? [];
  }

  Future<TicketModel?> getNextTicketAvailableForQueueFromTerminal(id) async {
    NetworkResponse state =
        await _api.getNextTicketAvailableForQueueFromTerminal(id);
    return state.data;
  }

  Future cancelNextTicketAvailableForQueueFromTerminal(id) async {
    NetworkResponse state =
        await _api.cancelNextTicketAvailableForQueueFromTerminal(id);
    return state.data ?? [];
  }
}
