import '../resources.dart';

class ServiceFilterRepo {
  ServiceFilterRepo._();

  static ServiceFilterRepo? _instance;

  factory ServiceFilterRepo([AppApi? api]) {
    _instance ??= ServiceFilterRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;
  Future<List<MainCatModel>> getMaincatList(params) async {
    NetworkResponse response = await _api.getMaincatList(params);
    return response.data ?? [];
  }

  Future<List<PublishEventCategory>> getCategoriesFromEventsWebsite(
      params) async {
    NetworkResponse response =
        await _api.getCategoriesFromEventsWebsite(params);
    return response.data ?? [];
  }

  Future<List<PublishEvent>> getResultsByCatFromEventsWebsite(params) async {
    NetworkResponse response =
        await _api.getResultsByCatFromEventsWebsite(params);
    return response.data ?? [];
  }

  Future<List<PublishEvent>> getAllEventsFromEventsWebsite(params) async {
    NetworkResponse response = await _api.getAllEventsFromEventsWebsite(params);
    return response.data ?? [];
  }

  Future<List<SubCatModel>> getSubcatList(params) async {
    NetworkResponse response = await _api.getSubcatList(params);
    return response.data ?? [];
  }

  Future<List<SpecCatModel>> getSpecList(params) async {
    NetworkResponse response = await _api.getSpecList(params);
    return response.data ?? [];
  }

  Future<List<HashTagModel>> getHashtagsList(params) async {
    NetworkResponse response = await _api.getHashtagsList(params);
    return response.data ?? [];
  }

  Future<List<ProsModel>> getResultsFromFilters(params) async {
    NetworkResponse response = await _api.getResultsFromFilters(params);
    return response.data ?? [];
  }

  Future<List<ProsModel>> getResultsFromSearch(params) async {
    NetworkResponse response = await _api.getResultsFromSearch(params);
    return response.data ?? [];
  }
}
